Zigbee Module Examples

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
oids.h File Reference

description of Object Identifiers (OIDs). These are used in key-value-pairs in status messages, etc. More...

`#include <stdint.h>`

## Macros
#define | OID_LENGTH_BYTES 2
#define | OID_SUPPLY_VOLTAGE_MV 0x02
#define | OID_TEMPERATURE_LOCAL 0x11
#define | OID_TEMPERATURE_IR 0x12
#define | OID_LIGHT_SENSOR_AMBIENT_LUX 0x21
#define | OID_COLOR_SENSOR_RED 0x22
#define | OID_COLOR_SENSOR_BLUE 0x23
#define | OID_COLOR_SENSOR_GREEN 0x24
#define | OID_COLOR_SENSOR_CLEAR 0x25
#define | OID_STATUS_MESSAGE_INTERVAL 0x31
#define | OID_CONFIG_REQUEST_MESSAGE_INTERVAL 0x32

## Functions
char * | getOidName (uint8_t oid)
void | displayFormattedOidValue (uint8_t oid, int16_t value)

## Detailed Description

description of Object Identifiers (OIDs). These are used in key-value-pairs in status messages, etc.

Rev:
  1528

Author:
  dsmith

Date:
  2012-08-30 15:58:08 -0700 (Thu, 30 Aug 2012)

# Support

Please refer to the wiki at www.anaren.com/air-wiki-zigbee for more information. Additional support is available via email at the following addresses:

- Questions on how to use the product: AIR@a.nosp@m.nare.nosp@m.n.com
- Feature requests, comments, and improvements: featu.nosp@m.rere.nosp@m.quest.nosp@m.s@te.nosp@m.slaco.nosp@m.ntro.nosp@m.ls.co.nosp@m.m
- Consulting engagements: sales.nosp@m.@tes.nosp@m.lacon.nosp@m.trol.nosp@m.s.com

# License

Copyright (c) 2012 Tesla Controls. All rights reserved. This Software may only be used with an Anaren A2530E24AZ1, A2530E24CZ1, A2530R24AZ1, or A2530R24CZ1 module. Redistribution and use in source and binary forms, with or without modification, are subject to the Software License Agreement in the file "anaren_eula.txt"

YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL ANAREN MICROWAVE OR TESLA CONTROLS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSE INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Macro Definition Documentation

#define OID_COLOR_SENSOR_BLUE 0x23

Color sensor reading, blue channel

#define OID_COLOR_SENSOR_CLEAR 0x25

Color sensor reading, clear channel

#define OID_COLOR_SENSOR_GREEN 0x24

Color sensor reading, green channel

#define OID_COLOR_SENSOR_RED 0x22

Color sensor reading, red channel

#define OID_CONFIG_REQUEST_MESSAGE_INTERVAL 0x32

How often config request messages are sent, in seconds

#define OID_LIGHT_SENSOR_AMBIENT_LUX 0x21

Generic Light sensor reading, in Lux

#define OID_STATUS_MESSAGE_INTERVAL 0x31

How often staus messages are sent, in seconds

#define OID_SUPPLY_VOLTAGE_MV 0x02

Supply voltage, in mV

#define OID_TEMPERATURE_IR 0x12

Temperature of an external attached sensor

#define OID_TEMPERATURE_LOCAL 0x11

Temperature of the PCB

## Function Documentation

void displayFormattedOidValue | ( | uint8_t | oid,
|  | int16_t | value
| ) |  |

Gets the name of the OID.

Parameters:

  oid | the Object Identifier to look up.

Returns:
  The name of the Object Identifier (oid) in human readable format, or "UNKNOWN" if not known.

char* getOidName | ( | uint8_t | oid | ) |

Gets the name of the OID.

Parameters:

  oid | the Object Identifier to look up.

Returns:
  The name of the Object Identifier (oid) in human readable format, or "UNKNOWN" if not known.